Protocols
List protocols
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/protocols"{ "data": { "protocols": [ { "adapter": { "adapter_id": "string", "contracts_tracked": 0, "error": "string", "error_count_1h": 0, "last_sync_at": "string", "last_sync_ledger": 0, "status": "healthy", "version": "string" }, "display_name": "string", "has_activity_feed": true, "indexing_mode": "event_driven", "protocol_id": "string", "status": "supported", "supported_position_types": [ "collateral" ] } ] }, "enrichment": { "assets": { "property1": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] }, "property2": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] } }, "contracts": { "property1": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" }, "property2": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" } } }, "meta": { "attribution_confidence": 0.1, "data_staleness_seconds": 0, "last_indexed_ledger": 0, "oracle_staleness_seconds": 0, "partial_result": true, "response_time_ms": 0, "sources": [ "soroban_rpc" ] }}